Subject: Re: [PATCH] ata: Don't use NO_IRQ in pata_of_platform driver

From: Alan Cox <alan-qBU/[email-masked]>
Date: Tue, 6 Dec 2011 10:34:57 +0000

> Otherwise, it feels like we might need a strategy for migrating pretty
> much everything if we don't want to end up in a mess.

You really do anyway - lots of generic driver code knows !dev->irq is a
valid test. That covers things like 8250 based UART hardware, network phy
layer code and vast amounts more.

The bugs will already be there because ARM isn't using 0, they just
aren't getting seen or aren't getting hit.

Alan